## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate fallible_collections

Name:           rust-fallible_collections
Version:        0.4.9
Release:        %autorelease
Summary:        Which adds fallible allocation api to std collections

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/fallible_collections
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A crate which adds fallible allocation api to std collections.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hashbrown-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hashbrown-devel %{_description}

This package contains library source intended for building other packages which
use the "hashbrown" feature of the "%{crate}" crate.

%files       -n %{name}+hashbrown-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hashmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hashmap-devel %{_description}

This package contains library source intended for building other packages which
use the "hashmap" feature of the "%{crate}" crate.

%files       -n %{name}+hashmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_57-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_57-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_57" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_57-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std_io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std_io-devel %{_description}

This package contains library source intended for building other packages which
use the "std_io" feature of the "%{crate}" crate.

%files       -n %{name}+std_io-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip two tests that rely on UB and crash with recent Rust versions:
#   https://github.com/vcombey/fallible_collections/issues/35
%cargo_test -- -- --skip try_clone_oom --skip tryvec_try_clone_oom
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 02 2023 blinxen <h-k-81@hotmail.com> - 0.4.9-1
- Update to version 0.4.9 (rhbz#2219129)

* Tue Jun 13 2023 blinxen <h-k-81@hotmail.com> - 0.4.8-1
- Update to version 0.4.8

* Sun Mar 05 2023 blinxen <h-k-81@hotmail.com> - 0.4.7-2
- [skip changelog] Import new source

* Sat Mar 04 2023 blinxen <h-k-81@hotmail.com> - 0.4.7-1
- Update to 0.4.7

* Tue Feb 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.6-5
- Disable tests with in cargo test arguments instead of using a patch

* Mon Feb 06 2023 blinxen <h-k-81@hotmail.com> - 0.4.6-4
- [skip changelog] Don't use macro in name and url tag This makes it easier
  to build scripts which help with maintaining this package

* Fri Feb 03 2023 blinxen <h-k-81@hotmail.com> - 0.4.6-3
- Remove not needed changelog file
## END: Generated by rpmautospec
